﻿/**Begin D:\PDM_UPGRADE\PDM1\TDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_BALANCE') 
 CREATE TABLE T_TDM_DC_BALANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOKSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEBITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITBEGIN_DEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_DEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL,
FPERIODNUMBER BIGINT DEFAULT 0 NOT NULL,
FTOTALID BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIFFTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_BALANCESUM') 
 CREATE TABLE T_TDM_DC_BALANCESUM (
FID BIGINT DEFAULT 0 NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERIODNUMBER BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOKSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEBITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_SRC DECIMAL(23,10) DEFAULT 0  NOT NULL,
FDEBITBEGIN_DEST DECIMAL(23,10) DEFAULT 0  NOT NULL,
FCREDITBEGIN_DEST DECIMAL(23,10) DEFAULT 0  NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_RESULT') 
 CREATE TABLE T_TDM_DC_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FTAR_NOEXISTCOUNT BIGINT DEFAULT 0 NOT NULL,
FTAR_DIFFCOUNT BIGINT DEFAULT 0 NOT NULL,
FSOURCE_COUNT BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATARANGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATARANGE_TAG NCLOB,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FERRORMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORMSG_TAG NCLOB,
FTAR_COUNT BIGINT DEFAULT 0 NOT NULL,
FSUCCESS_COUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_RESULTLOG') 
 CREATE TABLE T_TDM_DC_RESULTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAR_COUNT BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FSOURCE_COUNT BIGINT DEFAULT 0 NOT NULL,
FDATARANGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATARANGE_TAG NCLOB,
FTAR_DIFFCOUNT BIGINT DEFAULT 0 NOT NULL,
FTAR_NOEXISTCOUNT BIGINT DEFAULT 0 NOT NULL,
FSUCCESS_COUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_SCHEME') 
 CREATE TABLE T_TDM_DC_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_SCHEME_L') 
 CREATE TABLE T_TDM_DC_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_VOUCHER') 
 CREATE TABLE T_TDM_DC_VOUCHER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTBOOKSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FDEBITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITBEGIN_DEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_DEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODNUMBER BIGINT DEFAULT 0 NOT NULL,
FACCOUNTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTOTALID BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIFFTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDM_DC_VOUCHERSUM') 
 CREATE TABLE T_TDM_DC_VOUCHERSUM (
FID BIGINT DEFAULT 0 NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODNUMBER BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOKSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEBITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_SRC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITBEGIN_DEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITBEGIN_DEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TDM_table.sql **/
